Subject: Re: [bug#67260] [PATCH v6 1/7] gnu: emacs: Wrap EMACSNATIVELOADPATH.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 27 Jan 2024 08:00:48 +0100

Am Freitag, dem 26.01.2024 um 22:45 +0000 schrieb Suhail:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > > Btw, does every package require something like [PATCH v6 5/7] or
> > > [PATCH v6 6/7] in order for it to be natively compiled?
> > No, these patches are only for natively compiled packages that
> > don't use emacs-build-system.
> 
> I.e., any and all packages using the emacs-build-system should be
> natively-compiled?  If so, I believe I've found a counter-example.
No, but packages using emacs-build-system should not need any changes
to accomodate the currently existing hack of adding the option 
  --with-input=emacs-minimal=emacs
to ‘guix build’, ‘guix package’, ‘guix shell’, etc.

> After installing v6 series and building emacs-htmlize my expectation
> is that functions provided by it, such as htmlize-buffer, would be
> natively-compiled.  However, I get:
> 
> > htmlize-buffer is an autoloaded interactive Lisp function in
> > `htmlize.el'.
> 
> Note the lack of "native-compiled" in the above.
If you compile with emacs-minimal, that's the expected results. 
Different builds of emacs are still incompatible w.r.t. native code and
produce directories with different hashes.  We'll have to see as to
whether this bugs grafts, but I'm hoping it doesn't.

Cheers